aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authoranouar kappitou <anoirkapp@gmail.com>2022-01-22 12:36:19 +0100
committerGitHub <noreply@github.com>2022-01-22 12:36:19 +0100
commitd8dfc403f74858b79c87f650b5d609aa60a4dc3b (patch)
treefd744b0279deadefb6d6610db164c4b0784ee210 /test
parent30df5c3dd4d39d9027b0341d01d3233400104893 (diff)
downloadbitcoin-d8dfc403f74858b79c87f650b5d609aa60a4dc3b.tar.xz
script: redirecting stderr to stdout before pipelining into grep
Co-authored-by: Sebastian Falbesoner <sebastian.falbesoner@gmail.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest/lint/commit-script-check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/commit-script-check.sh b/test/lint/commit-script-check.sh
index 725599f054..9449b393f1 100755
--- a/test/lint/commit-script-check.sh
+++ b/test/lint/commit-script-check.sh
@@ -17,7 +17,7 @@ if test -z "$1"; then
exit 1
fi
-if ! sed --help | grep -q 'GNU'; then
+if ! sed --help 2>&1 | grep -q 'GNU'; then
echo "Error: the installed sed package is not compatible. Please make sure you have GNU sed installed in your system.";
exit 1;
fi